GET api/medistreamprogramstepapi/step/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
{
"id": "8ededcec-527e-4ae9-b831-0d7110352588",
"program_id": "ea5abae8-9e7c-49ca-8f3c-ec2052b64f8a",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "e602d0d1-3ce0-453c-832c-e4d4e16fb80f",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>8ededcec-527e-4ae9-b831-0d7110352588</id> <medistream_program_step_type_id>e602d0d1-3ce0-453c-832c-e4d4e16fb80f</medistream_program_step_type_id> <name>sample string 4</name> <program_id>ea5abae8-9e7c-49ca-8f3c-ec2052b64f8a</program_id> </medistream_program_step>